Bug 522233 - Restored Firefox session interacts badly with multiple workspaces
Summary: Restored Firefox session interacts badly with multiple workspaces
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 20:21 UTC by Christopher Beland
Modified: 2018-04-11 15:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:33:51 UTC


Attachments (Terms of Use)

Description Christopher Beland 2009-09-09 20:21:15 UTC
With firefox-3.5.2-2.fc11.i586, I use the Save Session 1.3.1.6 extension to save a session and exit.  The session has multiple windows open, on multiple workspaces.

After I restart Firefox, multiple windows open and start to load tabs. When I go to a different workspace than the one where I started Firefox, I see a bold, blue entry for e.g. "Firefox (6)" in the window toolbar at the bottom of the screen.  I click on it, and I see a list of the 6 separate windows.  But when I select one, nothing happens.  I would have expected that window to show up on the current workspace, or for the system to jump to the workspace where the new window wants to appear.  I have to actually go find the workspace on which I restarted Firefox, and click on each of the windows in turn, until they are no longer bolded.  Then I can move them between workspaces.

Comment 1 Matěj Cepl 2009-10-07 10:06:39 UTC
This seems to me like very much window manager issue. Which one do you use?

Thanks for filing the bug

Comment 2 Christopher Beland 2009-10-07 16:03:03 UTC
The Gnome default, Metacity.

Comment 3 Owen Taylor 2009-11-18 01:13:12 UTC
Probably related to bug 393481 in some way.

Does the Save Session extension attempt to:

 - Remember the workspace that the window was on?
 - Remember whether the window was minimized or not?

Comment 4 Bug Zapper 2010-04-28 10:15:46 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-06-28 14:33:51 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.